import { GameLogicMgr } from "./logic";

export class GameSysLogic {
    static _baseId = 0;

    logicId = 0;
    constructor(){
        GameSysLogic._baseId++;
        this.logicId = GameSysLogic._baseId;
        GameLogicMgr.inst.addSysLogic(this);
    }

    end(){
        GameLogicMgr.inst.removeSysLogic(this);
    }

    gameUpdate(dt){}
    gameUpdateSec(dt){}
}